%define upstream_name	 DateTime-Format-Duration
%define upstream_version 1.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Format and parse DateTime::Durations 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires: perl(DateTime)
Buildrequires: perl(DateTime::Duration)
Buildrequires: perl(Params::Validate)

Buildarch:	noarch


%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# fix perms
chmod 644 LICENCE README Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc LICENCE README Changes
%{perl_vendorlib}/DateTime
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.40.0-9.mga10
+ Revision: 2203554
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-8.mga9
+ Revision: 1808749
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-7.mga8
+ Revision: 1503742
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-6.mga7
+ Revision: 1282646
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.40.0-5.mga7
+ Revision: 1163882
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.40.0-4.mga7
+ Revision: 1158625
- add BR on perl(Params::Validate)

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-3.mga6
+ Revision: 1025105
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.40.0-2.mga6
+ Revision: 969993
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.40.0-1.mga6
+ Revision: 884502
- update to 1.04

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0a-5.mga5
+ Revision: 746746
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0a-4.mga5
+ Revision: 684273
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0a-3.mga4
+ Revision: 510742
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0a-2.mga3
+ Revision: 365585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.30.0a-1.mga1
+ Revision: 36190
- mageia rebuild
- imported package perl-DateTime-Format-Duration


* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0a-1mdv2010.1
+ Revision: 463043
- adding missing buildrequires:
- update to 1.03a
  really, it's 1.03 with $VERSION set correctly, which author forgot to
  bump in 1.03... so he thought issuing 1.03a would be better than 1.04,
  really screwing packagers and making them deal with that manually...
  as if version numbers were expensive. hate, hate, hate!

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 395153
- update to 1.03 for real this time
- using %%perl_convert_version
- fixed license field
- update to 1.03

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.02-6mdv2009.0
+ Revision: 256498
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.02-4mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-4mdv2008.0
+ Revision: 46973
- rebuild


* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-3mdv2007.0
- Rebuild

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdk 
- don't ship useless empty dirs
- make test in %%check
- disabled test, something is broken
- fix doc files perms

* Sat Feb 12 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk 
- first mdk release

